[交流学习] (2.04更新)(不定期搬运)xposed框架更新至v80

 
charactertd 发表于 2015-2-14 14:47:57 | 显示全部楼层 |阅读模式
10433 397

TD高中生|主题 |帖子 |听众 |发消息 |加好友

本帖最后由 charactertd 于 2016-2-10 20:41 编辑

2.04更新
久违的搬运,更新下v80(2月2日发布)
游客,如果您要查看本帖隐藏内容请回复

作者的Version 80更新说明:
  • 6.0 only: Fixed a bootloop, especially on LG devices, even though some crashes still occur in the settings (https://github.com/rovo89/Xposed/issues/100)
  • 5.0/5.1 only: Fixed a bootloop on MediaTek devices (https://github.com/rovo89/Xposed/issues/81)
  • 5.0/5.1 only: Fixed a crash of MyAndroidTools (and other apps with the same weird APK protection) (https://github.com/rovo89/Xposed/issues/102)
  • Migrated the Java part (XposedBridge) to Android Studio / Gradle and integrated it into the buildscripts.


另外强烈推荐使用网盘中的XposedInstaller_by_dvdandroid,采用md设计的xposed框架管理器(个人感觉比官方的好很多),并且可以检测框架版本更新(框架包下载的路径为内置存储下的XposedInstaller文件夹)。

顺便附上绿色守护2.8.1final捐赠版,(by尘封之泪,原帖地址http://www.xxmer.com/924.html,可关注作者动态),刚刚发布不久,已上传网盘。


10.08更新
更新official v75(10月7日发布)
游客,如果您要查看本帖隐藏内容请回复


作者rovo89更新说明
adds compatibility with the latest 5.1.1 ROMs (v19 and later) which include a change to app_process. This version should be compatible with both, newer and older 5.1.x ROMs. The change didn't affect 5.0.x. This version also disables the dex2oat watchdog, so especially on older devices with less performance, Xposed might now be working.


9.11更新

更新official v74(9月10日发布)
游客,如果您要查看本帖隐藏内容请回复

作者rovo89更新说明
In framework version 74, I have fixed some more incompatibilities which could lead to bootloops or crashes. I assume that most of these crash logs contained the string "Incompatible set properties", which is actually a consequence of previous method verification errors. It's hard to say which ROMs and devices were affected - but flashing the new version shouldn't hurt even if everything looks fine with older versions. If you do notice any issues and are sure that it's not caused by yourself, you have higher chances of getting them fixed if you open a detailed GitHub issue (usually I will need at least a full logcat).
I won't be able to work on Xposed for the next 2-3 weeks - no time for development, support or questions at all. If the rumors I have read are right, I should be ready just in time to start porting Xposed to M.


9.04更新
更新official v73(9月2日发布) 有需要的拿去
游客,如果您要查看本帖隐藏内容请回复



9.02更新
刚刚在xda看到xposed框架作者rovo89,8月31日已经发布了xposed框架的5.1支持版本,搬运一下
另外绿色守护2.7.1正式版也出了,网盘已附上已付费版安装包。
游客,如果您要查看本帖隐藏内容请回复



8.09更新
好久没理这帖子了,还是有人在回复,发现之前链接失效了,还是更新一下吧。是从xda搬运的的,已经测试cm12.1下,绿色守护完美运行,虽然5.1版本框架是非官方的版本,但是是有xposed框架作者rovo89授权发布的,可以放心使用。
另外附上xposed官方发布地址:
http://forum.xda-developers.com/showthread.php?t=3034811
xposed非官方5.1.1发布地址:
http://forum.xda-developers.com/xposed/super-alpha-posted-permission-xposed-t3072979/?utm_source=feedburner&utm_medium=feed&utm_campaign=Feed%3A+xda-developers%2FShsH+%28xda-developers%29

大家就可以自己下载了。(补充说明下 z7max用arm的版本 详细说明看网盘)


网盘地址还是隐藏下。现在5.0+版本的xposed已经支持卸载了,还是recovery刷入,sdk22是5.1的,sdk21是5.0的,卸载的话刷入uninstaller包,apk是主程序,其它不多说了
游客,如果您要查看本帖隐藏内容请回复

另外绿色守护我还是在用v2.6.2的 之前用2.7beta2导致收不了短信 搞了一天才发现问题,所以大家用什么版本见仁见智吧,网盘已经附上2.6.2正式版的了。


3.30更新
搬运下绿色守护2.6的正式版吧 链接如下
游客,如果您要查看本帖隐藏内容请回复



3.15更新
本来不想再编辑了的,但是每天总看到有人回复,让回复的人用旧版的实在过意不去,还是继续从机锋那边搬过来了。
新版alpha2好几天前就更新了,cm12已经有显示app process版本号了,可以放心使用。另外还是没提供卸载框架的方法,所以还是谨慎刷入。安装方法上面说过了就不重复了。
顺便附上绿色守护2.6 beta3,cm12可以正常使用。(已经有beta4了,可以去机锋或者其他地方找下,因为与beta3没什么区别我没更新)
游客,如果您要查看本帖隐藏内容请回复



原帖
xda的Xposed框架开发者rovo89昨天放出了xposed框架的5.0适用版本,本人测试可正常安装刷入框架(如图)
8614752520712814776.jpg
另外大部分模块目前还不支持(包括绿色守护),不过等各模块更新之后就可以使用了 ,有兴趣的可以现在去测试下哪些模块可以用,下载地址就隐藏下吧,apk安装,rec刷框架,jar文件开发用的
注意:目前不能卸载!作者未放出卸载的包,所以只能恢复备份或刷机。谨慎安装

关于app_process没显示的问题,在相关贴吧置顶贴看到这个:由于目前为测试阶段,部分机型或定制的5.0 ROM可能会出现app_process版本缺失的情况,但如果模块能正常运行就别在意这些细节。

更新 找到了作者对不显示app_process 版本的解释
Known issues:
- It seems to boot loop on Samsung stock ROMs. I have received a file which I can use to analyse this issue, but it might take some time.
- If you have downloaded the files within the first hour, your phone boots but the installer says that the framework is not installed, please download the updated version and flash again. XposedBridge version must be 61 afterwards.
- If everything is working fine, but the app_process version is not displayed, it's just a display error that can be ignored (will be fixed later).


红字意思是app_process version不显示可能只是显示错误(如果能正常用的话)
XposedBridge version是61
(个人在贴吧找到的几个别人5.0能用的,大牛的cm12也可以用, 但是由于目前5.0模块实在少,具体是否能正常使用框架要等到大部分模块更新后才能确定)
游客,如果您要查看本帖隐藏内容请回复










楼主其他热门帖
heatlevel老外 CM13 Release V3 更新 已搬运至百度云
heatlevel老外 CM13 Release V2 发布 更新百度云地址
heatlevel老外 CM13 Release V1 发布
heatlevel老外修复cm12.1呼吸灯不消失bug (附卡刷包)
heatlevel老外更新cm12.1 v7了
heatlevel刷了624后不能收短信(已解决)
heatlevel官方5.0居然支持和包了。。
heatlevel(2.04更新)(不定期搬运)xposed框架更新至v80

397 个回复

倒序浏览
lpjjjacklee 发表于 2015-4-25 09:56:02 | 显示全部楼层

TD小学生|主题 |帖子 |听众

感谢分享,支持一下。
回复 支持 3 反对 2

使用道具 举报

挥霍柔弱的青春 发表于 2015-4-23 23:37:18 | 显示全部楼层

TD高中生|主题 |帖子 |听众

XposedBridge version是61
回复 支持 3 反对 2

使用道具 举报

15671562979 发表于 2015-8-25 10:46:33 来自WAP版 | 显示全部楼层

TD小学生|主题 |帖子 |听众

(8.09更新)(搬运)xopsed框架支持5.0&5.1了,已更新非官方最新版5.1框架
回复 支持 3 反对 1

使用道具 举报

LIN1396 发表于 2015-4-23 18:03:25 | 显示全部楼层

TD博士生|主题 |帖子 |听众

d dddddddddddddddddddddddddddddddddddddddddddd
回复 支持 1 反对 2

使用道具 举报

guobinheni 发表于 2015-4-21 09:42:39 | 显示全部楼层

TD初中生|主题 |帖子 |听众

RE: (搬运)xopsed框架终于支持5.0了,已更新alpha2版本+绿色守护2.6正式版 [[url=]修改[/url]
回复 支持 2 反对 1

使用道具 举报

 楼主 charactertd 发表于 2015-3-17 20:51:22 | 显示全部楼层

TD高中生|主题 |帖子 |听众

badnull 发表于 2015-3-17 13:58
还是显示红色字

如过是图片中的 红色字的话是没有问题的,意思是目前安装只能通过recovery
回复 支持 2 反对 1

使用道具 举报

Nipsih 发表于 2015-3-17 19:38:23 来自WAP版 | 显示全部楼层

社区管理|主题 |帖子 |听众

只是来看看!!!!!!
回复 支持 2 反对 1

使用道具 举报

zl965 发表于 2015-9-1 00:51:08 | 显示全部楼层

TD小学生|主题 |帖子 |听众

RE: (8.09更新)(搬运)xopsed框架支持5.0&5.1了,已更新非官方最新版5.1框架 [[url=]修改[/url]
回复 支持 1 反对 1

使用道具 举报

xanaduwy 发表于 2015-8-27 16:28:43 | 显示全部楼层

TD小学生|主题 |帖子 |听众

之前的都是5.0
回复 支持 2 反对 0

使用道具 举报

踩雪不留痕 发表于 2015-8-25 07:52:16 | 显示全部楼层

TD小学生|主题 |帖子 |听众

啥也不说了,感谢楼主分享哇!
回复 支持 1 反对 1

使用道具 举报

逆夏残缺 发表于 2015-2-14 15:02:37 | 显示全部楼层

TD初中生|主题 |帖子 |听众

自行车vbnmlkjhgfdasqwertyuiop
回复 支持 1 反对 0

使用道具 举报

15113905646 发表于 2015-2-14 15:55:54 | 显示全部楼层

TD初中生|主题 |帖子 |听众

ddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddddd
回复 支持 1 反对 0

使用道具 举报

杀戬白手 发表于 2015-2-14 16:06:05 | 显示全部楼层

TD专科生|主题 |帖子 |听众

app_process没激活  没看到么     模块不能用  上午就测试过了
回复 支持 1 反对 0

使用道具 举报

 楼主 charactertd 发表于 2015-2-14 16:24:10 | 显示全部楼层

TD高中生|主题 |帖子 |听众

本帖最后由 charactertd 于 2015-2-14 17:09 编辑
杀戬白手 发表于 2015-2-14 16:06
app_process没激活  没看到么     模块不能用  上午就测试过了

作者有解释了
回复 支持 反对

使用道具 举报

65大都 发表于 2015-2-14 20:30:17 | 显示全部楼层

TD启蒙班|主题 |帖子 |听众

66621465465
回复 支持 反对

使用道具 举报

快速回复

您需要登录后才可以回帖 登录 | 注册账号

本版积分规则

charactertd

TD高中生
这个人很懒什么都没写!
  • 17

  • 主题
TDBeta客户端(没上线)

TDBeta客户端(没上线)

iPhone & Android

立即下载
关闭

站长推荐上一条 /1 下一条

397快速回复 返回顶部 返回列表